New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

platformio unresponsive #288

Closed
Protoneer opened this Issue Sep 20, 2015 · 9 comments

Comments

Projects
None yet
3 participants
@Protoneer

Protoneer commented Sep 20, 2015

My environment:

  • Win7
  • Python 2.7
  • Platformio 2.3.1/2
  • Board ESP01
  • Arduino Framework Library
  • installed using "pip install platfomrio"

I ran "platformio init --board=esp01" and it started downloading all the dependencies. Did a "platfomrio run" it started building and cam back with a message saying that I was missing an H file. All good!!!

Then I looked into using lib-dir to point to my Arduino libraries and that is when it stopped responding.

Running platformlib returns the usual help text. As soon as I try paramters it just sits there and will only stop when I press control-c.

Have tried to reintalling and going back one version. Have restarted my PC and I am out of idea's... Is there some way to switch on verbose messages or is there a log somewhere that I can check for more details.

I have also tried using the force parameter with no luck? Any ideas?

Would really love to make this work cause I can see there went lots of effort into this project.

@ivankravets ivankravets added the bug label Sep 21, 2015

@ivankravets ivankravets added this to the 2.3.3 milestone Sep 21, 2015

@ivankravets ivankravets self-assigned this Sep 21, 2015

@ivankravets

This comment has been minimized.

Member

ivankravets commented Sep 21, 2015

Thanks, I'm going to fix it today and to propose for testing.

@Protoneer

This comment has been minimized.

Protoneer commented Sep 23, 2015

Thanks @ivankravets . I am willing to help with testing and providing logs if needed.

@ivankravets

This comment has been minimized.

Member

ivankravets commented Sep 23, 2015

Please try development version where this issue should be fixed http://docs.platformio.org/en/latest/installation.html#development-version

@Protoneer

This comment has been minimized.

Protoneer commented Sep 23, 2015

@ivankravets that seems to fix the issue. Can you confirm where the board library is being downloaded from? From "platformio run" I can see that it is complaining about code in the board libraries that does not exists.(Recent additions)

I know the link to the stable version for ESP8266/Arduino changed recently to : http://arduino.esp8266.com/stable/package_esp8266com_index.json

I tried "platformio update" and all of the Espressif platform said all versions were up to date.

Looking at the ".platformio\packages\framework-arduinoespressif\variants" I can see that the latest stable variants are not included.

I tried "Platformio upgrade" but I think it might be failing because its a dev version. Error:

Error: ['platformio', '--version']
PlatformIO, version 2.3.3.dev0

1. Please report this issue here: https://github.com/platformio/platformio/issues
2. Try different installation/upgrading steps: http://docs.platformio.org/en/latest/installation.html
@ivankravets

This comment has been minimized.

Member

ivankravets commented Sep 24, 2015

@valeros please verify that we use the latest stable version of Espressif framework

@Protoneer

This comment has been minimized.

Protoneer commented Sep 28, 2015

Hi @ivankravets , any luck with this? If you give me some directions on where to check I can have a look? (Thanks.)

@ivankravets

This comment has been minimized.

Member

ivankravets commented Sep 28, 2015

Which problems do yo have with this issue? I see that it's closed and you reported that all work fine.

@Protoneer

This comment has been minimized.

Protoneer commented Sep 28, 2015

If its using the latest stable version of Espressif framework?

@ivankravets

This comment has been minimized.

Member

ivankravets commented Sep 28, 2015

Please open separate issue with it for @valeros

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment